org.richfaces.component

## Class UIList

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.UIDataAdaptor
      - - org.richfaces.component.UISequence
        - - org.richfaces.component.AbstractList
          - - org.richfaces.component.UIList

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.UniqueIdVendor, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListener, javax.faces.event.SystemEventListenerHolder, org.ajax4jsf.component.IterationStateHolder

      @Generated(value={"RichFaces CDK","4.3.1.Final"})
      public class UIList
      extends AbstractList
      implements javax.faces.component.behavior.ClientBehaviorHolder

  The <rich:list> component renders a list of items. The list can be an numerically ordered list, an un-ordered bullet-point list, or a data definition list. The component uses a data model for managing the list items, which can be updated dynamically.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIList.Properties`

    - ### Nested classes/interfaces inherited from class org.richfaces.component.UISequence

      `UISequence.PropertyKeys`

    - ### Nested classes/interfaces inherited from class org.richfaces.component.UIDataAdaptor

      `UIDataAdaptor.ComponentVisitor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.AbstractList

      `TERM`

    - ### Fields inherited from class org.richfaces.component.UIDataAdaptor

      `decodeVisitor, updateVisitor, validateVisitor`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIList()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefaultEventName()`
    `String` | `getDir()`
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `String` | `getLang()`
    `String` | `getOnclick()`
    `String` | `getOndblclick()`
    `String` | `getOnkeydown()`
    `String` | `getOnkeypress()`
    `String` | `getOnkeyup()`
    `String` | `getOnmousedown()`
    `String` | `getOnmousemove()`
    `String` | `getOnmouseout()`
    `String` | `getOnmouseover()`
    `String` | `getOnmouseup()`
    `String` | `getOnrowclick()`
    `String` | `getOnrowdblclick()`
    `String` | `getOnrowkeydown()`
    `String` | `getOnrowkeypress()`
    `String` | `getOnrowkeyup()`
    `String` | `getOnrowmousedown()`
    `String` | `getOnrowmousemove()`
    `String` | `getOnrowmouseout()`
    `String` | `getOnrowmouseover()`
    `String` | `getOnrowmouseup()`
    `String` | `getRowClass()` Assigns one or more space-separated CSS class names to the list rows
    `String` | `getRowClasses()` Assigns one or more space-separated CSS class names to the rows of the table.
    `String` | `getStyle()`
    `String` | `getStyleClass()`
    `String` | `getTitle()`
    `org.richfaces.component.ListType` | `getType()` The type of the list: unordered (default), ordered, definitions
    `void` | `setDir(String dir)`
    `void` | `setLang(String lang)`
    `void` | `setOnclick(String onclick)`
    `void` | `setOndblclick(String ondblclick)`
    `void` | `setOnkeydown(String onkeydown)`
    `void` | `setOnkeypress(String onkeypress)`
    `void` | `setOnkeyup(String onkeyup)`
    `void` | `setOnmousedown(String onmousedown)`
    `void` | `setOnmousemove(String onmousemove)`
    `void` | `setOnmouseout(String onmouseout)`
    `void` | `setOnmouseover(String onmouseover)`
    `void` | `setOnmouseup(String onmouseup)`
    `void` | `setOnrowclick(String onrowclick)`
    `void` | `setOnrowdblclick(String onrowdblclick)`
    `void` | `setOnrowkeydown(String onrowkeydown)`
    `void` | `setOnrowkeypress(String onrowkeypress)`
    `void` | `setOnrowkeyup(String onrowkeyup)`
    `void` | `setOnrowmousedown(String onrowmousedown)`
    `void` | `setOnrowmousemove(String onrowmousemove)`
    `void` | `setOnrowmouseout(String onrowmouseout)`
    `void` | `setOnrowmouseover(String onrowmouseover)`
    `void` | `setOnrowmouseup(String onrowmouseup)`
    `void` | `setRowClass(String rowClass)`
    `void` | `setRowClasses(String rowClasses)`
    `void` | `setStyle(String style)`
    `void` | `setStyleClass(String styleClass)`
    `void` | `setTitle(String title)`
    `void` | `setType(org.richfaces.component.ListType type)`

    - ### Methods inherited from class org.richfaces.component.AbstractList

      `dataChildren, fixedChildren, getTerm`

    - ### Methods inherited from class org.richfaces.component.UISequence

      `captureOrigValue, createComponentState, createExtendedDataModel, createFacesModel, getActualFirst, getActualRows, getFirst, getIterationStatusVar, getRelativeClientId, getRelativeRowIndex, getRowIndex, getRowKeyConverter, getRows, getValue, preEncodeBegin, restoreOrigValue, setFirst, setIterationStatusVar, setRows, setupVariable, setValue, setValueBinding, setValueExpression, updateState, updateState`

    - ### Methods inherited from class org.richfaces.component.UIDataAdaptor

      `allFixedChildren, broadcast, clearExtendedDataModel, clearInitialState, createUniqueId, doUpdate, extractKeySegment, getComponentState, getContainerClientId, getContainerClientId, getExtendedDataModel, getIterationState, getLocalComponentState, getRowCount, getRowData, getRowKey, getRowKeyVar, getStateVar, getVar, getVariablesMap, invokeOnComponent, invokeOnRow, isKeepSaved, isListenerForSource, isRowAvailable, iterate, keepSaved, markInitialState, preDecode, preUpdate, preValidate, processDecodes, processDecodesChildren, processEvent, processEvent, processUpdates, processUpdatesChildren, processValidatesChildren, processValidators, queueEvent, resetChildState, resetDataModel, restoreChildState, restoreChildState, restoreState, saveChildState, saveChildState, saveState, setExtendedDataModel, setId, setIterationState, setKeepSaved, setRowKey, setRowKey, setRowKeyConverter, setRowKeyVar, setStateVar, setVar, visitDataChildren, visitDataChildrenMetaComponents, visitFixedChildren, visitTree, walk, wrapEvent`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIList

          public UIList()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `UIDataAdaptor`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getDir

          public String getDir()

      Specified by:
        `getDir` in class `AbstractList`

    - #### setDir

          public void setDir(String dir)

    - #### getLang

          public String getLang()

      Specified by:
        `getLang` in class `AbstractList`

    - #### setLang

          public void setLang(String lang)

    - #### getOnclick

          public String getOnclick()

      Specified by:
        `getOnclick` in class `AbstractList`

    - #### setOnclick

          public void setOnclick(String onclick)

    - #### getOndblclick

          public String getOndblclick()

      Specified by:
        `getOndblclick` in class `AbstractList`

    - #### setOndblclick

          public void setOndblclick(String ondblclick)

    - #### getOnkeydown

          public String getOnkeydown()

      Specified by:
        `getOnkeydown` in class `AbstractList`

    - #### setOnkeydown

          public void setOnkeydown(String onkeydown)

    - #### getOnkeypress

          public String getOnkeypress()

      Specified by:
        `getOnkeypress` in class `AbstractList`

    - #### setOnkeypress

          public void setOnkeypress(String onkeypress)

    - #### getOnkeyup

          public String getOnkeyup()

      Specified by:
        `getOnkeyup` in class `AbstractList`

    - #### setOnkeyup

          public void setOnkeyup(String onkeyup)

    - #### getOnmousedown

          public String getOnmousedown()

      Specified by:
        `getOnmousedown` in class `AbstractList`

    - #### setOnmousedown

          public void setOnmousedown(String onmousedown)

    - #### getOnmousemove

          public String getOnmousemove()

      Specified by:
        `getOnmousemove` in class `AbstractList`

    - #### setOnmousemove

          public void setOnmousemove(String onmousemove)

    - #### getOnmouseout

          public String getOnmouseout()

      Specified by:
        `getOnmouseout` in class `AbstractList`

    - #### setOnmouseout

          public void setOnmouseout(String onmouseout)

    - #### getOnmouseover

          public String getOnmouseover()

      Specified by:
        `getOnmouseover` in class `AbstractList`

    - #### setOnmouseover

          public void setOnmouseover(String onmouseover)

    - #### getOnmouseup

          public String getOnmouseup()

      Specified by:
        `getOnmouseup` in class `AbstractList`

    - #### setOnmouseup

          public void setOnmouseup(String onmouseup)

    - #### getOnrowclick

          public String getOnrowclick()

      Specified by:
        `getOnrowclick` in class `AbstractList`

    - #### setOnrowclick

          public void setOnrowclick(String onrowclick)

    - #### getOnrowdblclick

          public String getOnrowdblclick()

      Specified by:
        `getOnrowdblclick` in class `AbstractList`

    - #### setOnrowdblclick

          public void setOnrowdblclick(String onrowdblclick)

    - #### getOnrowkeydown

          public String getOnrowkeydown()

      Specified by:
        `getOnrowkeydown` in class `AbstractList`

    - #### setOnrowkeydown

          public void setOnrowkeydown(String onrowkeydown)

    - #### getOnrowkeypress

          public String getOnrowkeypress()

      Specified by:
        `getOnrowkeypress` in class `AbstractList`

    - #### setOnrowkeypress

          public void setOnrowkeypress(String onrowkeypress)

    - #### getOnrowkeyup

          public String getOnrowkeyup()

      Specified by:
        `getOnrowkeyup` in class `AbstractList`

    - #### setOnrowkeyup

          public void setOnrowkeyup(String onrowkeyup)

    - #### getOnrowmousedown

          public String getOnrowmousedown()

      Specified by:
        `getOnrowmousedown` in class `AbstractList`

    - #### setOnrowmousedown

          public void setOnrowmousedown(String onrowmousedown)

    - #### getOnrowmousemove

          public String getOnrowmousemove()

      Specified by:
        `getOnrowmousemove` in class `AbstractList`

    - #### setOnrowmousemove

          public void setOnrowmousemove(String onrowmousemove)

    - #### getOnrowmouseout

          public String getOnrowmouseout()

      Specified by:
        `getOnrowmouseout` in class `AbstractList`

    - #### setOnrowmouseout

          public void setOnrowmouseout(String onrowmouseout)

    - #### getOnrowmouseover

          public String getOnrowmouseover()

      Specified by:
        `getOnrowmouseover` in class `AbstractList`

    - #### setOnrowmouseover

          public void setOnrowmouseover(String onrowmouseover)

    - #### getOnrowmouseup

          public String getOnrowmouseup()

      Specified by:
        `getOnrowmouseup` in class `AbstractList`

    - #### setOnrowmouseup

          public void setOnrowmouseup(String onrowmouseup)

    - #### getRowClass

          public String getRowClass()

      Description copied from class: `AbstractList`
      Assigns one or more space-separated CSS class names to the list rows
      Specified by:
        `getRowClass` in class `AbstractList`

    - #### setRowClass

          public void setRowClass(String rowClass)

    - #### getRowClasses

          public String getRowClasses()

      Description copied from class: `AbstractList`
      Assigns one or more space-separated CSS class names to the rows of the table. If the CSS class names are comma-separated, each class will be assigned to a particular row in the order they follow in the attribute. If you have less class names than rows, the class will be applied to every n-fold row where n is the order in which the class is listed in the attribute. If there are more class names than rows, the overflow ones are ignored.
      Specified by:
        `getRowClasses` in class `AbstractList`

    - #### setRowClasses

          public void setRowClasses(String rowClasses)

    - #### getStyle

          public String getStyle()

      Specified by:
        `getStyle` in class `AbstractList`

    - #### setStyle

          public void setStyle(String style)

    - #### getStyleClass

          public String getStyleClass()

      Specified by:
        `getStyleClass` in class `AbstractList`

    - #### setStyleClass

          public void setStyleClass(String styleClass)

    - #### getTitle

          public String getTitle()

      Specified by:
        `getTitle` in class `AbstractList`

    - #### setTitle

          public void setTitle(String title)

    - #### getType

          public org.richfaces.component.ListType getType()

      Description copied from class: `AbstractList`
      The type of the list: unordered (default), ordered, definitions
      Specified by:
        `getType` in class `AbstractList`

    - #### setType

          public void setType(org.richfaces.component.ListType type)

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.